The response body for a single teams ownership mapping.
Expand All
Champ
Type
Description
data [required]
object
The JSON:API data envelope for a teams ownership mapping.
attributes [required]
object
The attributes of a teams ownership mapping.
application_id [required]
string
The ID of the RUM application this mapping applies to.
For browser applications, this is the real application UUID.
For mobile applications, this is the nil UUID 00000000-0000-0000-0000-000000000000 (wildcard), meaning the ownership applies across all applications.
created_at [required]
date-time
Timestamp when the mapping was created.
created_by [required]
string
The UUID of the user who created the mapping.
match_type [required]
enum
How the view_name is matched against RUM view names.
Allowed enum values: exact,prefix
default: exact
org_id [required]
int64
The ID of the organization that owns this mapping.
service [required]
string
The RUM application's service name. For browser applications, may be empty. For mobile applications, this is the service that scopes the ownership.
team_handle [required]
string
The handle of the team that owns the matched RUM views.
view_name [required]
string
The RUM view name to match, or its prefix when match_type is prefix.
id [required]
string
The unique identifier of the teams ownership mapping.
type [required]
enum
The type of the resource. The value should always be teams_ownership_mappings.
Allowed enum values: teams_ownership_mappings
"""
Get a teams ownership mapping returns "OK" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.rum_teams_ownership_apiimportRumTeamsOwnershipApi# there is a valid "teams_ownership_mapping" in the systemTEAMS_OWNERSHIP_MAPPING_DATA_ID=environ["TEAMS_OWNERSHIP_MAPPING_DATA_ID"]configuration=Configuration()withApiClient(configuration)asapi_client:api_instance=RumTeamsOwnershipApi(api_client)response=api_instance.get_teams_ownership_mapping(id=TEAMS_OWNERSHIP_MAPPING_DATA_ID,)print(response)
# Get a teams ownership mapping returns "OK" responserequire"datadog_api_client"api_instance=DatadogAPIClient::V2::RumTeamsOwnershipAPI.new# there is a valid "teams_ownership_mapping" in the systemTEAMS_OWNERSHIP_MAPPING_DATA_ID=ENV["TEAMS_OWNERSHIP_MAPPING_DATA_ID"]papi_instance.get_teams_ownership_mapping(TEAMS_OWNERSHIP_MAPPING_DATA_ID)
// Get a teams ownership mapping returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){// there is a valid "teams_ownership_mapping" in the systemTeamsOwnershipMappingDataID:=os.Getenv("TEAMS_OWNERSHIP_MAPPING_DATA_ID")ctx:=datadog.NewDefaultContext(context.Background())configuration:=datadog.NewConfiguration()apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewRumTeamsOwnershipApi(apiClient)resp,r,err:=api.GetTeamsOwnershipMapping(ctx,TeamsOwnershipMappingDataID)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `RumTeamsOwnershipApi.GetTeamsOwnershipMapping`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `RumTeamsOwnershipApi.GetTeamsOwnershipMapping`:\n%s\n",responseContent)}
// Get a teams ownership mapping returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.RumTeamsOwnershipApi;importcom.datadog.api.client.v2.model.TeamsOwnershipMappingResponse;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();RumTeamsOwnershipApiapiInstance=newRumTeamsOwnershipApi(defaultClient);// there is a valid "teams_ownership_mapping" in the systemStringTEAMS_OWNERSHIP_MAPPING_DATA_ID=System.getenv("TEAMS_OWNERSHIP_MAPPING_DATA_ID");try{TeamsOwnershipMappingResponseresult=apiInstance.getTeamsOwnershipMapping(TEAMS_OWNERSHIP_MAPPING_DATA_ID);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling RumTeamsOwnershipApi#getTeamsOwnershipMapping");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
// Get a teams ownership mapping returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_rum_teams_ownership::RumTeamsOwnershipAPI;#[tokio::main]asyncfnmain(){// there is a valid "teams_ownership_mapping" in the system
letteams_ownership_mapping_data_id=std::env::var("TEAMS_OWNERSHIP_MAPPING_DATA_ID").unwrap();letconfiguration=datadog::Configuration::new();letapi=RumTeamsOwnershipAPI::with_config(configuration);letresp=api.get_teams_ownership_mapping(teams_ownership_mapping_data_id.clone()).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<API-KEY>"DD_APP_KEY="<APP-KEY>"cargo run
/**
* Get a teams ownership mapping returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration();constapiInstance=newv2.RumTeamsOwnershipApi(configuration);// there is a valid "teams_ownership_mapping" in the system
constTEAMS_OWNERSHIP_MAPPING_DATA_ID=process.env.TEAMS_OWNERSHIP_MAPPING_DATA_IDasstring;constparams: v2.RumTeamsOwnershipApiGetTeamsOwnershipMappingRequest={id: TEAMS_OWNERSHIP_MAPPING_DATA_ID,};apiInstance.getTeamsOwnershipMapping(params).then((data: v2.TeamsOwnershipMappingResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));